Subject: Re: bug#57015: 29.0.50; macOS: libgccjit was not found: Homebrew libgccjit 12.1.0

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Aug 2022 15:13:36 +0300

> From: Naofumi Yasufuku <[email-masked]>
> Date: Sat, 06 Aug 2022 20:38:58 +0900
> 
> './configure --with-native-compilation' fails if Homebrew libgccjit is
> updated to 12.1.0.  Attached configure.ac patch fixes this issue.
> I think the same patch should be applied to emacs-28 branch.

I don't mind installing this on master, but I'd rather document that
Emacs 28 cannot be built on macOS with such a new libgccjit than
destabilize the release branch, even if it's only for macOS.  E.g.,
who says that 'readlink' will always be available on macOS?

Is it really a problem to use only libgccjit 12.0 and older for the
release branch?

Thanks.